# OTC (One-Time Code) prelogin

Initiate passwordless authentication by sending a one-time code (OTC) to the user's email address.
This is the first step in the email OTC (one-time code) passwordless login flow for local users. The system sends a time-sensitive code to the specified email address.
Request body must include:
- `email`
: The email address of the user initiating the login.
- `invitationToken`
 (optional): Include if the user is signing up through an invitation.
- `recaptchaToken`
 (optional): Required if reCAPTCHA is enabled for login.

Use this endpoint to start the passwordless login process via an email-based one-time code.

Endpoint: POST /resources/auth/v1/passwordless/code/prelogin
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Request fields (application/json):

  - `recaptchaToken` (string)

  - `invitationToken` (string)

  - `email` (string, required)

  - `userId` (string, required)

  - `username` (string, required)

## Response 400:

  - `400` (unknown)
    Invalid authentication type, OTC (One-Time Code) authentication should be enabled

